Bug 459314 - Default to "shutdown" for hibernate breaks RTC wakeup
Default to "shutdown" for hibernate breaks RTC wakeup
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-16 03:16 EDT by Stefan Becker
Modified: 2015-03-04 20:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-30 12:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2008-08-16 03:16:07 EDT
Version: pm-utils-1.1.0-7.fc9

This version of pm-utils introduced a patch that forces "shutdown" as the default method for hibernate, i.e. the hibernation sequence is

   echo shutdown >/sys/power/disk
   echo disk     >/sys/power/state

This breaks at least the rtc-cmos wakeup via /sys/class/rtc/rtc0/wakealarm as according to the kernel developer David Brownell:

   "In the 'shutdown' callbacks, rtc-cmos currently disable alarms. That means if the /sys/power/disk file says 'shutdown' I'd expect wakeup not to work at all..."

This is an annoying problem as the F9 kernel is now configured to use rtc-cmos and therefore the old /proc/acpi/alarm is no longer available as a working fallback solution like in F8. I'm probably not the only one who is trying to get automatic wakeup working again with his (MythTV) mediabox after updating it from F8 to F9...

The Linux kernel PM maintainer Rafael J. Wysocki also mentioned in the discussion:

   "It's worse than that. 'shutdown' is known to break some systems and is only meant as a workaround in case 'platform' doesn't work."

On my system I now added a file to /etc/pm/config.d with the line


and RTC wakeup from hibernation works perfectly again.

Can you please remove the part that modifies pm-utils-XXX/pm/defaults from the patch?
Comment 1 Stefan Becker 2009-04-02 00:07:28 EDT
Seems to be fixed at least in rawhide (pm-utils-1.2.4-2.fc11):

# fgrep HIBERNATE_MODE /usr/lib64/pm-utils/defaults
# HIBERNATE_MODE="shutdown"

i.e. default is to use the default from kernel.
Comment 2 Bug Zapper 2009-06-09 22:28:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Stefan Becker 2009-06-30 12:58:02 EDT
This is no longer an issue in Fedora 11: closing

Note You need to log in before you can comment on or make changes to this bug.